# Uses of Class
com.ngrok.definitions.TcpEdge

Packages that use TcpEdge
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of TcpEdge in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type TcpEdge
  Modifier and Type
  Method
  Description
  `List<TcpEdge>`
  TcpEdgeList.`getTcpEdges()`
  the list of all TCP Edges on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type TcpEdge
  Modifier
  Constructor
  Description
  ``
  `TcpEdgeList(List<TcpEdge> tcpEdges, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `TcpEdgeList`.

- ## Uses of TcpEdge in com.ngrok.services

  Methods in com.ngrok.services that return TcpEdge
  Modifier and Type
  Method
  Description
  `TcpEdge`
  EdgesTcp.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `TcpEdge`
  EdgesTcp.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `TcpEdge`
  EdgesTcp.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type TcpEdge
  Modifier and Type
  Method
  Description
  `CompletionStage<TcpEdge>`
  EdgesTcp.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<TcpEdge>`
  EdgesTcp.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<TcpEdge>`
  EdgesTcp.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.